



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>FireDAC 下的 Sqlite [2] - 第一个例子</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">FireDAC 下的 Sqlite [2] - 第一个例子</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-22 05:43:46 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>为了方便测试, 我把官方提供的 C:\Users\Public\Documents\Embarcadero\Studio\14.0\Samples\data\FDDemo.sdb 复制了一份到 <b>C:\Temp\FDDemo.sdb</b>.<br />
<hr /></p>
<pre class="prettyprint linenums">
{新建一个 VCL Forms Application, 然后添加如下控件(建议按 Ctrl + . 后用键盘输入添加):}

TFDPhysSQLiteDriverLink // 用于驱动自动连接; 不同数据库各对应一个: TFDPhys****DriverLink<br />
TFDGUIxWaitCursor       // 用于自动管理 GUI 程序的"等待光标"; 在 Console 和 FMX 下也都有类似对应的东西<br />
TFDConnection           // 数据连接<br />
TFDQuery                // 数据查询<br />
TDataSource             // 数据源<br />
TDBGrid                 // 数据显示

// uses FireDAC.Phys.SQLite 之后, 可不用添加 TFDPhysSQLiteDriverLink<br />
// uses FireDAC.VCLUI.Wait  之后, 可不用添加 TFDGUIxWaitCursor

{简单几行代码, 就呈现了 FDDemo.sdb 中的 Orders 表中的数据}<br />
procedure TForm1.FormCreate(Sender: TObject);<br />
begin<br />
  FDConnection1.DriverName := 'SQLite';<br />
  FDConnection1.Params.Add('Database=C:\Temp\FDDemo.sdb');

  FDQuery1.Connection := FDConnection1;<br />
  DataSource1.DataSet := FDQuery1;<br />
  DBGrid1.DataSource := DataSource1;

  FDQuery1.SQL.Text := 'SELECT * FROM Orders'; // SQLite 非常好地支持了 SQL92 标准, 目前被忽略的仅有: http://www.sqlite.org/omitted.html 

  FDConnection1.Open();<br />
  FDQuery1.Open();

  DBGrid1.Align := alClient;<br />
end;
</pre>
<hr />
效果图:<br />
<img referrerpolicy="no-referrer"src="https://images.cnblogs.com/cnblogs_com/del/580512/o_3.png" /><br />
<hr /></p>
<pre class="prettyprint linenums">
{稍稍变通一下代码}<br />
procedure TForm1.FormCreate(Sender: TObject);<br />
begin<br />
//  FDConnection1.ConnectionString := 'DriverID=SQLite; Database=C:\Temp\FDDemo.sdb'; // 可代替下面两行<br />
  FDConnection1.Params.Add('DriverID=SQLite');            // 同 FDConnection1.DriverName := 'SQLite';<br />
  FDConnection1.Params.Add('Database=C:\Temp\FDDemo.sdb');

  FDQuery1.Connection := FDConnection1;<br />
  DataSource1.DataSet := FDQuery1;<br />
  DBGrid1.DataSource := DataSource1;

  FDQuery1.SQL.Text := 'SELECT * FROM Orders';

  FDConnection1.Connected := True;<br />
  FDQuery1.Active := True;

  DBGrid1.Align := alClient;<br />
end;

{再变通一下}<br />
procedure TForm1.FormCreate(Sender: TObject);<br />
begin<br />
  FDQuery1.Connection := FDConnection1;<br />
  DataSource1.DataSet := FDQuery1;<br />
  DBGrid1.DataSource := DataSource1;

  FDConnection1.Open('DriverID=SQLite;Database=C:\Temp\FDDemo.sdb');<br />
  FDQuery1.Open('SELECT * FROM Orders');

  DBGrid1.Align := alClient;<br />
end;
</pre>
<hr /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/m96on394.html">&period;NET 基础 一步步 一幕幕&lbrack;面向对象之构造函数、析构函数&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/390n3nqd.html">JavaScript权威设计--JavaScript数组&lpar;简要学习笔记九&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qxd64v9.html">EasyUI刚加载时候Window窗体自动弹出的解决办法</a>
		</li>
						<li><a href="https://www.batexi.com/a/xq42z0j9.html">editplus的配置和使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rdd53e8.html">数据库mysql中having 和where的区别</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2ww7mxq.html">NOIP 2003解题报告</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn1dx7j8.html">Oracle INV - SO line backorder API</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1zpk649.html">Android fragment源码全解析</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnzn3j8.html">漫话C&plus;&plus;0x（五）&mdash;- thread&comma; mutex&comma; condition&lowbar;variable</a>
		</li>
						<li><a href="https://www.batexi.com/a/96o43k49.html">mod&lowbar;rewrite模块详解</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pj5ln79.html">VS  编程常见错误及解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oro639.html">C语言 位操作</a>
		</li>
						<li><a href="https://www.batexi.com/a/8okmd0p9.html">前端--关于HTML</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x6xgz8.html">【LeetCode练习题】Partition List</a>
		</li>
						<li><a href="https://www.batexi.com/a/93ywryz8.html">Binder机制，从Java到C （大纲）</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1kl5xq.html">cesium-navigation 使用&lpar;非require，es6引用&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1ke1p09.html">vue脚手架安装步骤vue-cli</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj04gj9.html">李航《统计学习方法》CH01</a>
		</li>
						<li><a href="https://www.batexi.com/a/9r55374q.html">sql server 备份与恢复系列一 必备知识</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e4kvlz9.html">entry&period;define编程思路</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93px3yz8.html">header&lpar;&rpar;跳转</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o4k37eq.html">Fiddler抓取HTTPS最全（强）攻略</a>
			</li>
						<li><a href="https://www.batexi.com/a/953x7r68.html">记webpack下进行普通模块化开发基础配置（自动打包生成html、多入口多页面）</a>
			</li>
						<li><a href="https://www.batexi.com/a/qx2nz5e8.html">python 入门基础22  --复习 面向对象</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o4kl7eq.html">LeetCode&lpar;Easy&rpar;--C&plus;&plus;笔记</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rndm4dq.html">web&period;js</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gpmk0e9.html">消息监听器无法注入bean</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ko1635q.html">public private protect</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gpmyp09.html">Zookeeper的java客户端API使用方法（五）</a>
			</li>
						<li><a href="https://www.batexi.com/a/963ormj9.html">word2vec中的数学原理一  目录和前言</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
